Source: gnustep-back
Maintainer: Debian GNUstep maintainers <pkg-gnustep-maintainers@lists.alioth.debian.org>
Uploaders: Eric Heintzmann <heintzmann.eric@free.fr>,
           Gürkan Sengün <gurkan@phys.ethz.ch>,
           Yavor Doganov <yavor@gnu.org>
Section: gnustep
Priority: optional
Build-Depends: debhelper (>= 9),
               m4,
               libgnustep-gui-dev (>= V_GUI),
               libice-dev,
               libxext-dev,
               libxcursor-dev, 
               libxmu-dev,
               libfreetype6-dev,
               libxft-dev,
               libfontconfig1-dev,
               libgl1-mesa-dev,
               libart-2.0-dev,
               pkg-config,
               libcairo2-dev,
               texinfo
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/git/pkg-gnustep/gnustep-back.git
Vcs-Git: https://anonscm.debian.org/git/pkg-gnustep/gnustep-back.git
Homepage: http://gnustep.org

Package: gnustep-back`'SOV_BACK
Architecture: all
Section: libs
Depends: gnustep-back`'SOV_BACK-cairo | gnustep-back`'SOV_BACK-alt,
	 ${misc:Depends}
Suggests: fonts-dejavu | gsfonts-x11
Description: GNUstep GUI Backend
 It is a backend component for the GNUstep GUI Library.
 The implementation of the GNUstep GUI Library is designed in two parts.
 The first part is the front-end component which is independent of platform
 and display system.  This front-end is combined with a back-end
 component which handles all of the display system dependent such as
 specific calls to the X Window System.
 .
 This is an empty package that depends on the various backends.

Package: gnustep-back`'SOV_BACK-art
Architecture: any
Section: libs
Depends: gnustep-back-common (= ${binary:Version}),
	 ${shlibs:Depends},
	 ${misc:Depends}
Provides: gnustep-back`'SOV_BACK-alt
Description: GNUstep GUI Backend (art)
 It is a backend component for the GNUstep GUI Library.
 The implementation of the GNUstep GUI Library is designed in two parts.
 The first part is the front-end component which is independent of platform
 and display system.  This front-end is combined with a back-end
 component which handles all of the display system dependent such as
 specific calls to the X Window System.
 .
 This package provides the deprecated libart backend.

Package: gnustep-back`'SOV_BACK-cairo
Architecture: any
Section: libs
Depends: gnustep-back-common (= ${binary:Version}),
	 ${shlibs:Depends},
	 ${misc:Depends}
Provides: gnustep-back`'SOV_BACK-alt
Description: GNUstep GUI Backend (cairo)
 It is a backend component for the GNUstep GUI Library.
 The implementation of the GNUstep GUI Library is designed in two parts.
 The first part is the front-end component which is independent of platform
 and display system.  This front-end is combined with a back-end
 component which handles all of the display system dependent such as
 specific calls to the X Window System.
 .
 This package provides the cairo backend.

Package: gnustep-back-common
Architecture: any
Depends: fontconfig,
	 mknfonts.tool,
	 fonts-freefont-ttf,
	 ${shlibs:Depends},
	 ${misc:Depends}
Breaks: gnustep-gpbs
Replaces: gnustep-gpbs
Description: GNUstep GUI Backend - common files
 It is a backend component for the GNUstep GUI Library.
 The implementation of the GNUstep GUI Library is designed in two parts.
 The first part is the front-end component which is independent of platform
 and display system.  This front-end is combined with a back-end
 component which handles all of the display system dependent such as
 specific calls to the X Window System.
 .
 This package contains the common files needed by the GNUstep GUI Backend.

Package: gnustep-back-dbg
Architecture: any
Section: debug
Priority: extra
Depends: gnustep-back-common (= ${binary:Version}),
	 gnustep-back`'SOV_BACK-art (= ${binary:Version}) | gnustep-back`'SOV_BACK-cairo (= ${binary:Version}),
	 ${misc:Depends}
Recommends: libgnustep-gui`'SOV_GUI-dbg
Description: GNUstep GUI Backend - debugging symbols
 It is a backend component for the GNUstep GUI Library.
 The implementation of the GNUstep GUI Library is designed in two parts.
 The first part is the front-end component which is independent of platform
 and display system.  This front-end is combined with a back-end
 component which handles all of the display system dependent such as
 specific calls to the X Window System.
 .
 This package contains the debugging symbols for the GNUstep GUI Backend.
